Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516311 - [Admin Portal] Cannot select host in Run Once in specific display geometry
Summary: [Admin Portal] Cannot select host in Run Once in specific display geometry
Keywords:
Status: ASSIGNED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
low
medium vote
Target Milestone: ovirt-4.3.4
: ---
Assignee: Greg Sheremeta
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 12:55 UTC by Jiri Belka
Modified: 2019-02-23 13:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: UX
rule-engine: ovirt-4.3?
pnovotny: planning_ack?
rule-engine: devel_ack+
pnovotny: testing_ack+


Attachments (Terms of Use)
screen: Run Once dialog in compact mode - broken checkboxes (deleted)
2017-11-22 14:26 UTC, Pavel Novotny
no flags Details
screencast: Run Once dialog in compact mode - still broken (deleted)
2018-12-13 18:17 UTC, Pavel Novotny
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 86540 master MERGED webadmin: VmInit/RunOnce dialog 2018-01-18 16:17:00 UTC

Description Jiri Belka 2017-11-22 12:55:45 UTC
Description of problem:

Cannot select host in Run Once in specific display geometry, clicking on 'Specific Host(s)' does nothing. FYI I have left-rotated monitor with 1080x1920+0+0 geometry with FF 57. It seems to be issue in 4.1 as well and in Chrome too.

Version-Release number of selected component (if applicable):
ovirt-engine-webadmin-portal-4.2.0-0.0.master.20171112130303.git8bc889c.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1. have your monitor left-rotated to have similar geometry like above
   (eg. 1080x1920)
2. click Run Once and try to select specific host for VM run
3.

Actual results:
switching button does not work

Expected results:
should work

Additional info:
see Width/Height below

> xwininfo 

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x2208a04 "oVirt Open Virtualization Manager - Mozilla Firefox"

  Absolute upper-left X:  2
  Absolute upper-left Y:  18
  Relative upper-left X:  2
  Relative upper-left Y:  0
  Width: 1076
  Height: 1881
  Depth: 24
  Visual: 0xb4
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x2200002 (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +2+18  -1082+18  -1082-21  +2-21
  -geometry 1076x1881+0+18

Comment 1 Pavel Novotny 2017-11-22 14:25:16 UTC
Moving from Virt to UX.

I managed to reproduce it with Firefox 52 ESR, Firefox 57 and Chromium 62.
No errors in ui.log, engine.log...

When the dialog is switched to the compact/mobile layout (see the attached screenshot), several input widgets stop working.
Besides to the host selection radio boxes, it's also Boot Options / Attach Floppy & Attach CD checkboxes.
But these work in the New/Edit VM dialog so the problem seems to be only on the Run Once dialog.

Comment 2 Pavel Novotny 2017-11-22 14:26:34 UTC
Created attachment 1357531 [details]
screen: Run Once dialog in compact mode - broken checkboxes

Comment 3 Pavel Novotny 2018-12-13 18:17:50 UTC
Created attachment 1514163 [details]
screencast: Run Once dialog in compact mode - still broken

FailedQA in 
ovirt-engine-webadmin-portal-4.3.0-0.6.alpha2.el7.noarch
ovirt-engine-4.3.0-0.6.alpha2.el7.noarch

Reproduced with Firefox 64 and Chromium 71.

In the "narrow" layout mode, input fields in the Run Once dialog, like check boxes or radio buttons, are still not working - either not responding to clicks (Attach Floppy) or just acting strangely (Attach CD).

Please see the attached screencast for details.


Note You need to log in before you can comment on or make changes to this bug.